<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class Ticket extends Model
{
    protected $table = "ticket";

    public function assignedPro(){
        return $this->hasOne(Pro::class, 'id', 'assigned_pro_id');
    }

    public function managerPro(){
        return $this->hasOne(Pro::class, 'id', 'manager_pro_id');
    }

    public function orderingPro(){
        return $this->hasOne(Pro::class, 'id', 'ordering_pro_id');
    }

    public function initiatingPro(){
        return $this->hasOne(Pro::class, 'id', 'initiating_pro_id');
    }

    public function patient(){
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

}
